!******************************************************************************!
!                                                                              !
!    fill_ctcouplings10.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings10.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings10
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl10()
      coupl(nGC_6500) = coupl(nGC_60)*(dZbR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_6503) = coupl(nGC_42)*(dZbL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_6506) = coupl(nGC_42)*dZWpMinus/2d0 + coupl(nGC_4541)
      coupl(nGC_6509) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus/2d0 +   &
                        coupl(nGC_4476)
      coupl(nGC_7385) = coupl(nGC_4458) + coupl(nGC_7384)
      coupl(nGC_7386) = coupl(nGC_123)*dZH/2d0 + coupl(nGC_4459)
      coupl(nGC_6682) = coupl(nGC_MI)*dZWpMinus
      coupl(nGC_6919) = coupl(nGC_38)*dZWpMinus/2d0 + coupl(nGC_38)*dZmuMinusL/&
                        2d0 + coupl(nGC_38)*dZnu_tauL/2d0 + coupl(nGC_4597)
      coupl(nGC_6910) = coupl(nGC_4642) + coupl(nGC_6908)
      coupl(nGC_4577) = coupl(nGC_4576)*dsw_
      coupl(nGC_4547) = coupl(nGC_4546)*dsw_
      coupl(nGC_4545) = coupl(nGC_4544)*dsw_
      coupl(nGC_4543) = coupl(nGC_4542)*dsw_
      coupl(nGC_6640) = coupl(nGC_44)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_4229) = coupl(nGC_11)**2d0*coupl(nGC_96)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4222) = coupl(nGC_11)**2d0*coupl(nGC_111)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4549) = coupl(nGC_4548)*dsw_
      coupl(nGC_4221) = coupl(nGC_11)**2d0*coupl(nGC_97)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4231) = coupl(nGC_100)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4230) = coupl(nGC_11)**2d0*coupl(nGC_567)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_9317) = coupl(nGC_4350) + 3d0*coupl(nGC_88)*dZH/2d0
      coupl(nGC_6861) = coupl(nGC_105)*dZeMinusR/2d0 + coupl(nGC_105)*dZnu_eL/ &
                        2d0 + coupl(nGC_4436)
      coupl(nGC_6964) = coupl(nGC_78)*dZcL_QCD2
      coupl(nGC_4318) = coupl(nGC_11)*sq2*(-coupl(nGC_100)*coupl(nGC_114) -    &
                        coupl(nGC_101)*coupl(nGC_115) - coupl(nGC_102)*coupl(  &
                        nGC_1255) - coupl(nGC_103)*coupl(nGC_113) - 4d0*coupl( &
                        nGC_58)*coupl(nGC_59) - 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) - 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0*Nc)
      coupl(nGC_4319) = coupl(nGC_11)*sq2*(-coupl(nGC_101)*coupl(nGC_103) -    &
                        coupl(nGC_102)*coupl(nGC_567) - coupl(nGC_112)*coupl(  &
                        nGC_114) - coupl(nGC_113)*coupl(nGC_115) - coupl(      &
                        nGC_125)*coupl(nGC_126) - 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) - 4d0*coupl(nGC_24)*coupl(nGC_72) - 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) - 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) - 4d0*coupl(nGC_46)*coupl(nGC_47) - coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0*Nc)
      coupl(nGC_4649) = coupl(nGC_183)*dMW2
      coupl(nGC_4312) = coupl(nGC_11)*sq2*(-coupl(nGC_101)*coupl(nGC_115) -    &
                        coupl(nGC_103)*coupl(nGC_113) - coupl(nGC_104)*coupl(  &
                        nGC_112) - coupl(nGC_116)*coupl(nGC_567) - 4d0*coupl(  &
                        nGC_58)*coupl(nGC_59) - 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) - 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0*Nc)
      coupl(nGC_4313) = coupl(nGC_11)*sq2*(-coupl(nGC_100)*coupl(nGC_104) -    &
                        coupl(nGC_101)*coupl(nGC_103) - coupl(nGC_113)*coupl(  &
                        nGC_115) - coupl(nGC_116)*coupl(nGC_1255) - coupl(     &
                        nGC_125)*coupl(nGC_126) - 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) - 4d0*coupl(nGC_24)*coupl(nGC_72) - 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) - 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) - 4d0*coupl(nGC_46)*coupl(nGC_47) - coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0*Nc)
      coupl(nGC_4310) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_100)*coupl(nGC_567) - coupl(nGC_101)**2d0 - coupl( &
                        nGC_114)*coupl(nGC_116) - coupl(nGC_115)**2d0 - coupl( &
                        nGC_125)**2d0 - 4d0*coupl(nGC_24)**2d0 - 4d0*coupl(    &
                        nGC_40)**2d0 - 4d0*coupl(nGC_43)**2d0 - 4d0*coupl(     &
                        nGC_46)**2d0 - 4d0*coupl(nGC_71)**2d0 - 4d0*coupl(     &
                        nGC_77)**2d0 - coupl(nGC_98)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4311) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_100)*coupl(nGC_567) - coupl(nGC_101)**2d0 - coupl( &
                        nGC_102)*coupl(nGC_104) - coupl(nGC_103)**2d0 - 4d0*   &
                        coupl(nGC_58)**2d0 - 4d0*coupl(nGC_61)**2d0 - 4d0*coupl&
                        (nGC_64)**2d0 - 4d0*coupl(nGC_73)**2d0 - coupl(nGC_99  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4316) = coupl(nGC_11)*sq2*(coupl(nGC_100)*coupl(nGC_114) +     &
                        coupl(nGC_101)*coupl(nGC_115) + coupl(nGC_102)*coupl(  &
                        nGC_1255) + coupl(nGC_103)*coupl(nGC_113) + 4d0*coupl( &
                        nGC_58)*coupl(nGC_59) + 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) + 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0)
      coupl(nGC_4317) = coupl(nGC_11)*sq2*(coupl(nGC_101)*coupl(nGC_103) +     &
                        coupl(nGC_102)*coupl(nGC_567) + coupl(nGC_112)*coupl(  &
                        nGC_114) + coupl(nGC_113)*coupl(nGC_115) + coupl(      &
                        nGC_125)*coupl(nGC_126) + 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) + 4d0*coupl(nGC_24)*coupl(nGC_72) + 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) + 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) + 4d0*coupl(nGC_46)*coupl(nGC_47) + coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0)
      coupl(nGC_4314) = coupl(nGC_11)*sq2*(coupl(nGC_101)*coupl(nGC_115) +     &
                        coupl(nGC_103)*coupl(nGC_113) + coupl(nGC_104)*coupl(  &
                        nGC_112) + coupl(nGC_116)*coupl(nGC_567) + 4d0*coupl(  &
                        nGC_58)*coupl(nGC_59) + 4d0*coupl(nGC_61)*coupl(nGC_62 &
                        ) + 4d0*coupl(nGC_64)*coupl(nGC_65))/(64d0*pi**2d0)
      coupl(nGC_4315) = coupl(nGC_11)*sq2*(coupl(nGC_100)*coupl(nGC_104) +     &
                        coupl(nGC_101)*coupl(nGC_103) + coupl(nGC_113)*coupl(  &
                        nGC_115) + coupl(nGC_116)*coupl(nGC_1255) + coupl(     &
                        nGC_125)*coupl(nGC_126) + 4d0*coupl(nGC_24)*coupl(     &
                        nGC_71) + 4d0*coupl(nGC_24)*coupl(nGC_72) + 4d0*coupl( &
                        nGC_40)*coupl(nGC_41) + 4d0*coupl(nGC_43)*coupl(nGC_44 &
                        ) + 4d0*coupl(nGC_46)*coupl(nGC_47) + coupl(nGC_97)*   &
                        coupl(nGC_98))/(64d0*pi**2d0)
      coupl(nGC_7299) = coupl(nGC_4565) + coupl(nGC_48)*dZWpMinus/2d0
      coupl(nGC_7293) = coupl(nGC_66)*(dZbR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7296) = coupl(nGC_48)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_4248) = coupl(nGC_11)**2d0*coupl(nGC_118)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7597) = -coupl(nGC_7596)
      coupl(nGC_7793) = coupl(nGC_118)*dZH/2d0 + coupl(nGC_4474)
      coupl(nGC_7791) = coupl(nGC_118)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_4567) = coupl(nGC_4566)*dsw_
      coupl(nGC_7183) = coupl(nGC_MI)*dZnu_muL
      coupl(nGC_4364) = coupl(nGC_4362)*dcw_ + coupl(nGC_4363)*dsw_
      coupl(nGC_4361) = coupl(nGC_4359)*dMW2 + coupl(nGC_4360)*dsw_
      coupl(nGC_7021) = coupl(nGC_108)*dZmuMinusR/2d0 + coupl(nGC_108)*dZnu_muL&
                        /2d0 + coupl(nGC_4441)
      coupl(nGC_6466) = -coupl(nGC_4422)
      coupl(nGC_6461) = coupl(nGC_112)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_4481) = coupl(nGC_4479)*dvev_QEDM1 + coupl(nGC_4480)*dsw_
      coupl(nGC_4262) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
    end subroutine fill_CTcouplings_mdl10
end module fill_ctcouplings10
