!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl11()
      coupl(nGC_4261) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4464) = coupl(nGC_4463)*dyc_QED1_QCD2
      coupl(nGC_4465) = coupl(nGC_4463)*dyc_QED1
      coupl(nGC_4503) = coupl(nGC_4501)*dcw_ + coupl(nGC_4502)*dsw_
      coupl(nGC_4500) = coupl(nGC_4498)*dcw_ + coupl(nGC_4499)*dsw_
      coupl(nGC_4506) = coupl(nGC_4504)*dcw_ + coupl(nGC_4505)*dsw_
      coupl(nGC_7700) = coupl(nGC_4431) + coupl(nGC_7696)
      coupl(nGC_7701) = -coupl(nGC_4432)
      coupl(nGC_7179) = coupl(nGC_4610) + coupl(nGC_72)*dZWMinus/2d0
      coupl(nGC_8055) = coupl(nGC_MI)*dZbR_QCD2
      coupl(nGC_8054) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_7272) = coupl(nGC_6377) + coupl(nGC_7271)
      coupl(nGC_7273) = coupl(nGC_6377) + coupl(nGC_7269)
      coupl(nGC_7177) = coupl(nGC_72)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4215) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_58)**2d0 - coupl( &
                        nGC_59)**2d0 - coupl(nGC_60)**2d0 - coupl(nGC_74)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4214) = cima*(-cMB*coupl(nGC_42)*coupl(nGC_60) - cMD*coupl(    &
                        nGC_40)*coupl(nGC_58) - cMS*coupl(nGC_41)*coupl(nGC_59 &
                        ) - cMU*coupl(nGC_2)**2d0 - cMU*coupl(nGC_74)*coupl(   &
                        nGC_78))/(8d0*pi**2d0)
      coupl(nGC_4213) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_40)**2d0 - coupl(nGC_41)**2d0 - coupl(nGC_42)**2d0 &
                         - coupl(nGC_72)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_4211) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_60)**2d0 - coupl( &
                        nGC_63)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_73)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_6771) = coupl(nGC_4555) + coupl(nGC_63)*dZWpMinus/2d0
      coupl(nGC_6779) = coupl(nGC_125)*dZdL_QCD2/2d0 + coupl(nGC_125)*dZuR_QCD2&
                        /2d0 + coupl(nGC_4389)
      coupl(nGC_7058) = -coupl(nGC_4443) - coupl(nGC_7057)
      coupl(nGC_7633) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_4371)
      coupl(nGC_6674) = coupl(nGC_43)*dZWpMinus/2d0 + coupl(nGC_4547)
      coupl(nGC_6673) = coupl(nGC_4545) + coupl(nGC_61)*dZWpMinus/2d0
      coupl(nGC_8238) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0
      coupl(nGC_11917) = -coupl(nGC_4320)
      coupl(nGC_11915) = -coupl(nGC_4321)
      coupl(nGC_7086) = coupl(nGC_26)*dZWMinus + coupl(nGC_26)*dZZ/2d0 + coupl(&
                        nGC_4364)
      coupl(nGC_4323) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_111)**2d0 - coupl(nGC_112)*coupl(nGC_1255) - coupl(&
                        nGC_113)**2d0 - coupl(nGC_114)*coupl(nGC_116) - coupl( &
                        nGC_115)**2d0 - 4d0*coupl(nGC_59)**2d0 - 4d0*coupl(    &
                        nGC_62)**2d0 - 4d0*coupl(nGC_65)**2d0 - 4d0*coupl(     &
                        nGC_73)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4322) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(     &
                        nGC_102)*coupl(nGC_104) - coupl(nGC_103)**2d0 - coupl( &
                        nGC_112)*coupl(nGC_1255) - coupl(nGC_113)**2d0 - coupl(&
                        nGC_126)**2d0 - 4d0*coupl(nGC_24)**2d0 - 4d0*coupl(    &
                        nGC_41)**2d0 - 4d0*coupl(nGC_44)**2d0 - 4d0*coupl(     &
                        nGC_47)**2d0 - 4d0*coupl(nGC_72)**2d0 - 4d0*coupl(     &
                        nGC_77)**2d0 - coupl(nGC_97)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4326) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_111)**2d0 + coupl(nGC_112)*coupl(nGC_1255) + coupl(&
                        nGC_113)**2d0 + coupl(nGC_114)*coupl(nGC_116) + coupl( &
                        nGC_115)**2d0 + 4d0*coupl(nGC_59)**2d0 + 4d0*coupl(    &
                        nGC_62)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl(     &
                        nGC_73)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4325) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(      &
                        nGC_102)*coupl(nGC_104) + coupl(nGC_103)**2d0 + coupl( &
                        nGC_112)*coupl(nGC_1255) + coupl(nGC_113)**2d0 + coupl(&
                        nGC_126)**2d0 + 4d0*coupl(nGC_24)**2d0 + 4d0*coupl(    &
                        nGC_41)**2d0 + 4d0*coupl(nGC_44)**2d0 + 4d0*coupl(     &
                        nGC_47)**2d0 + 4d0*coupl(nGC_72)**2d0 + 4d0*coupl(     &
                        nGC_77)**2d0 + coupl(nGC_97)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4329) = coupl(nGC_11)*sq2*(-coupl(nGC_117)**2d0 - coupl(nGC_118&
                        )**2d0 - coupl(nGC_119)*coupl(nGC_2241) - 4d0*coupl(   &
                        nGC_2)**2d0 - 4d0*coupl(nGC_64)**2d0 - 4d0*coupl(nGC_65&
                        )**2d0 - 4d0*coupl(nGC_66)**2d0 - 4d0*coupl(nGC_74)**  &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4328) = coupl(nGC_11)*sq2*(-coupl(nGC_118)**2d0 - coupl(nGC_119&
                        )*coupl(nGC_2241) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl( &
                        nGC_23)**2d0 - 4d0*coupl(nGC_46)**2d0 - 4d0*coupl(     &
                        nGC_47)**2d0 - 4d0*coupl(nGC_48)**2d0 - 4d0*coupl(     &
                        nGC_78)**2d0 - coupl(nGC_92)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6422) = coupl(nGC_4629) + coupl(nGC_80)*dZZ/2d0 + coupl(nGC_80 &
                        )*dZnu_eL
      coupl(nGC_10924) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_10927) = coupl(nGC_10924) + coupl(nGC_4643)
      coupl(nGC_10926) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_10923) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_6585) = coupl(nGC_39)*dZWpMinus/2d0 + coupl(nGC_39)*dZnu_tauL/ &
                        2d0 + coupl(nGC_39)*dZtauMinusL/2d0 + coupl(nGC_4603)
      coupl(nGC_6584) = coupl(nGC_4601) + coupl(nGC_57)*dZWpMinus/2d0 + coupl( &
                        nGC_57)*dZnu_tauR/2d0 + coupl(nGC_57)*dZtauMinusR/2d0
      coupl(nGC_6399) = coupl(nGC_4510) + coupl(nGC_8)*dZH/2d0 + coupl(nGC_8)* &
                        dZWMinus/2d0 + coupl(nGC_8)*dZZ/2d0
      coupl(nGC_6394) = -coupl(nGC_4392) - coupl(nGC_6393)
      coupl(nGC_6395) = coupl(nGC_4392) + coupl(nGC_6393)
      coupl(nGC_6396) = -coupl(nGC_4393)
      coupl(nGC_4606) = coupl(nGC_145)*dZgs_QCD2
      coupl(nGC_6454) = coupl(nGC_4500) + coupl(nGC_81)*dZA/2d0 + coupl(nGC_81 &
                        )*dZZ/2d0
      coupl(nGC_6451) = -coupl(nGC_6377)
      coupl(nGC_6514) = coupl(nGC_4577) + coupl(nGC_51)*dZWpMinus/2d0 + coupl( &
                        nGC_51)*dZnu_eR/2d0 + coupl(nGC_51)*dZtauMinusR/2d0
      coupl(nGC_6515) = coupl(nGC_33)*dZWpMinus/2d0 + coupl(nGC_33)*dZnu_eL/2d0&
                         + coupl(nGC_33)*dZtauMinusL/2d0 + coupl(nGC_4579)
    end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
