!******************************************************************************!
!                                                                              !
!    fill_ctcouplings12.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings12.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings12
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl12()
      coupl(nGC_7184) = coupl(nGC_MI)*dZnu_muR
      coupl(nGC_7980) = coupl(nGC_4424) + coupl(nGC_7979)
      coupl(nGC_7981) = coupl(nGC_113)*dZH/2d0 + coupl(nGC_4425)
      coupl(nGC_8939) = coupl(nGC_4645) + coupl(nGC_MZ)*dZZ
      coupl(nGC_8936) = coupl(nGC_MI)*dZZ
      coupl(nGC_6632) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0 + coupl(nGC_79 &
                        )*dZtauMinusL
      coupl(nGC_4551) = coupl(nGC_4550)*dsw_
      coupl(nGC_6635) = coupl(nGC_4650) + coupl(nGC_MZ_GF)*dZZ/2d0
      coupl(nGC_4252) = coupl(nGC_11)**2d0*sq2**2d0*(-cMB*coupl(nGC_94) - cMC* &
                        coupl(nGC_95) - cMD*coupl(nGC_101) - cMS*coupl(nGC_113 &
                        ) - cMT*coupl(nGC_118) - cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0)
      coupl(nGC_4251) = coupl(nGC_11)**2d0*sq2**2d0*(cMB*coupl(nGC_94) + cMC*  &
                        coupl(nGC_95) + cMD*coupl(nGC_101) + cMS*coupl(nGC_113 &
                        ) + cMT*coupl(nGC_118) + cMU*coupl(nGC_123))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_4257) = coupl(nGC_11)**2d0*coupl(nGC_63)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4255) = coupl(nGC_11)**2d0*coupl(nGC_72)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_9309) = -coupl(nGC_8238)
      coupl(nGC_7188) = coupl(nGC_119)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_6758) = coupl(nGC_6756) + coupl(nGC_6757)
      coupl(nGC_6746) = coupl(nGC_11)*dZsR_QCD2
      coupl(nGC_6742) = coupl(nGC_4381) + coupl(nGC_83)*dZH/2d0
      coupl(nGC_4308) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_100)*coupl(nGC_567) + coupl(nGC_101)**2d0 + coupl( &
                        nGC_114)*coupl(nGC_116) + coupl(nGC_115)**2d0 + coupl( &
                        nGC_125)**2d0 + 4d0*coupl(nGC_24)**2d0 + 4d0*coupl(    &
                        nGC_40)**2d0 + 4d0*coupl(nGC_43)**2d0 + 4d0*coupl(     &
                        nGC_46)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(     &
                        nGC_77)**2d0 + coupl(nGC_98)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_9112) = coupl(nGC_4455) + coupl(nGC_9108)
      coupl(nGC_9111) = -coupl(nGC_4455) - coupl(nGC_9108)
      coupl(nGC_4307) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - coupl(    &
                        nGC_513)*coupl(nGC_96) - 4d0*coupl(nGC_61)**2d0 - 4d0* &
                        coupl(nGC_62)**2d0 - 4d0*coupl(nGC_63)**2d0 - 4d0*coupl&
                        (nGC_74)**2d0 - coupl(nGC_95)**2d0 - coupl(nGC_97)**2d0&
                         - coupl(nGC_98)**2d0)/(64d0*pi**2d0)
      coupl(nGC_7784) = coupl(nGC_4521) + coupl(nGC_85)*dZH + coupl(nGC_85)*dZZ
      coupl(nGC_4330) = coupl(nGC_11)*sq2*(coupl(nGC_118)**2d0 + coupl(nGC_119 &
                        )*coupl(nGC_2241) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl( &
                        nGC_23)**2d0 + 4d0*coupl(nGC_46)**2d0 + 4d0*coupl(     &
                        nGC_47)**2d0 + 4d0*coupl(nGC_48)**2d0 + 4d0*coupl(     &
                        nGC_78)**2d0 + coupl(nGC_92)**2d0)/(64d0*pi**2d0)
      coupl(nGC_6555) = coupl(nGC_3)*(dZA + 2d0*dZWMinus)/2d0
      coupl(nGC_4374) = coupl(nGC_4372)*dMW2 + coupl(nGC_4373)*dsw_
      coupl(nGC_4377) = coupl(nGC_4375)*dMZ2 + coupl(nGC_4376)*dsw_
      coupl(nGC_6414) = coupl(nGC_4587) + coupl(nGC_53)*dZWpMinus/2d0 + coupl( &
                        nGC_53)*dZmuMinusR/2d0 + coupl(nGC_53)*dZnu_muR/2d0
      coupl(nGC_7059) = coupl(nGC_4443) + coupl(nGC_7057)
      coupl(nGC_4518) = coupl(nGC_4516)*dcw_ + coupl(nGC_4517)*dsw_
      coupl(nGC_6524) = -coupl(nGC_6523)
      coupl(nGC_6520) = coupl(nGC_4612) + coupl(nGC_71)*dZWMinus/2d0
      coupl(nGC_7087) = -coupl(nGC_7086)
      coupl(nGC_7281) = -coupl(nGC_7280)
      coupl(nGC_7083) = coupl(nGC_111)*dZcL_QCD2/2d0 + coupl(nGC_111)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4409)
      coupl(nGC_4583) = coupl(nGC_4582)*dsw_
      coupl(nGC_4581) = coupl(nGC_4580)*dsw_
      coupl(nGC_4585) = coupl(nGC_4584)*dsw_
      coupl(nGC_7249) = coupl(nGC_4563) + coupl(nGC_65)*dZWpMinus/2d0
      coupl(nGC_4589) = coupl(nGC_4588)*dsw_
      coupl(nGC_6706) = coupl(nGC_115)*dZdL_QCD2/2d0 + coupl(nGC_115)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4404)
      coupl(nGC_6708) = coupl(nGC_115)*dZH/2d0 + coupl(nGC_4405)
      coupl(nGC_6668) = coupl(nGC_61)*(dZcR_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_7607) = coupl(nGC_4395) + coupl(nGC_7606)
      coupl(nGC_7608) = coupl(nGC_101)*dZH/2d0 + coupl(nGC_4396)
      coupl(nGC_6666) = coupl(nGC_4524) + coupl(nGC_84)*dZZ
      coupl(nGC_10158) = -coupl(nGC_10157)
      coupl(nGC_7678) = coupl(nGC_4589) + coupl(nGC_54)*dZWpMinus/2d0 + coupl( &
                        nGC_54)*dZnu_muR/2d0 + coupl(nGC_54)*dZtauMinusR/2d0
      coupl(nGC_6926) = coupl(nGC_30)*dZA/2d0 + coupl(nGC_30)*dZWMinus + coupl(&
                        nGC_30)*dZZ/2d0 + coupl(nGC_4518)
      coupl(nGC_10159) = 2d0*coupl(nGC_10157)
      coupl(nGC_10168) = -2d0*coupl(nGC_10157)
    end subroutine fill_CTcouplings_mdl12
end module fill_ctcouplings12
