!******************************************************************************!
!                                                                              !
!    fill_ctcouplings13.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings13.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings13
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl13()
      coupl(nGC_8956) = coupl(nGC_4639) + coupl(nGC_8953)
      coupl(nGC_6575) = coupl(nGC_4467) + coupl(nGC_6571)
      coupl(nGC_6545) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_4606)
      coupl(nGC_6987) = -coupl(nGC_4448) - coupl(nGC_6986)
      coupl(nGC_6546) = coupl(nGC_6544) + coupl(nGC_6545)
      coupl(nGC_4236) = coupl(nGC_11)**2d0*coupl(nGC_1255)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6556) = -coupl(nGC_6555)
      coupl(nGC_4238) = coupl(nGC_11)**2d0*coupl(nGC_2241)*sq2**2d0*(Nc**2d0 - &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6464) = -coupl(nGC_4421) - coupl(nGC_6461)
      coupl(nGC_6988) = coupl(nGC_4448) + coupl(nGC_6986)
      coupl(nGC_6613) = coupl(nGC_6545) + coupl(nGC_6611)
      coupl(nGC_6505) = coupl(nGC_4543) + coupl(nGC_60)*dZWpMinus/2d0
      coupl(nGC_7634) = -coupl(nGC_7633)
      coupl(nGC_6370) = coupl(nGC_4581) + coupl(nGC_52)*dZWpMinus/2d0 + coupl( &
                        nGC_52)*dZeMinusR/2d0 + coupl(nGC_52)*dZnu_muR/2d0
      coupl(nGC_6371) = coupl(nGC_34)*dZWpMinus/2d0 + coupl(nGC_34)*dZeMinusL/ &
                        2d0 + coupl(nGC_34)*dZnu_muL/2d0 + coupl(nGC_4583)
      coupl(nGC_6691) = coupl(nGC_6545) + coupl(nGC_6688)
      coupl(nGC_6413) = coupl(nGC_35)*dZWpMinus/2d0 + coupl(nGC_35)*dZmuMinusL/&
                        2d0 + coupl(nGC_35)*dZnu_muL/2d0 + coupl(nGC_4585)
      coupl(nGC_7063) = -2d0*coupl(nGC_7062)
      coupl(nGC_6692) = coupl(nGC_6545) + coupl(nGC_6687)
      coupl(nGC_6402) = coupl(nGC_4361) + coupl(nGC_68)*dZH/2d0
      coupl(nGC_6465) = coupl(nGC_4421) + coupl(nGC_6461)
      coupl(nGC_7005) = coupl(nGC_6545) + coupl(nGC_7003)
      coupl(nGC_6565) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0 + coupl(nGC_79 &
                        )*dZmuMinusL
      coupl(nGC_6944) = coupl(nGC_4481) + coupl(nGC_90)*dZA/2d0 + coupl(nGC_90 &
                        )*dZWMinus/2d0
      coupl(nGC_7006) = coupl(nGC_6545) + coupl(nGC_7004)
      coupl(nGC_6686) = -coupl(nGC_6682)
      coupl(nGC_7481) = coupl(nGC_4494) + coupl(nGC_89)*dZH/2d0 + coupl(nGC_89 &
                        )*dZWMinus
      coupl(nGC_7189) = -coupl(nGC_4470) - coupl(nGC_7188)
      coupl(nGC_4331) = coupl(nGC_11)*sq2*(coupl(nGC_117)**2d0 + coupl(nGC_118 &
                        )**2d0 + coupl(nGC_119)*coupl(nGC_2241) + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_64)**2d0 + 4d0*coupl(nGC_65&
                        )**2d0 + 4d0*coupl(nGC_66)**2d0 + 4d0*coupl(nGC_74)**  &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_6595) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_4497)
      coupl(nGC_6591) = coupl(nGC_4434) + coupl(nGC_6587)
      coupl(nGC_6547) = coupl(nGC_6541) + coupl(nGC_6545)
      coupl(nGC_7116) = coupl(nGC_6377) + coupl(nGC_7114)
      coupl(nGC_7792) = coupl(nGC_4473) + coupl(nGC_7791)
      coupl(nGC_8940) = -coupl(nGC_8936)
      coupl(nGC_8213) = coupl(nGC_4521) + coupl(nGC_85)*dZZ
      coupl(nGC_7298) = coupl(nGC_4567) + coupl(nGC_66)*dZWpMinus/2d0
      coupl(nGC_6642) = coupl(nGC_4549) + coupl(nGC_62)*dZWpMinus/2d0
      coupl(nGC_6625) = coupl(nGC_4626) + coupl(nGC_73)*dZZ/2d0
      coupl(nGC_6626) = coupl(nGC_4623) + coupl(nGC_77)*dZZ/2d0
      coupl(nGC_6376) = coupl(nGC_17)*dZWMinus + coupl(nGC_4491)
      coupl(nGC_6842) = coupl(nGC_13)*dZH + coupl(nGC_4343)
      coupl(nGC_7699) = -coupl(nGC_4431) - coupl(nGC_7696)
      coupl(nGC_6748) = coupl(nGC_6545) + coupl(nGC_6745)
      coupl(nGC_6643) = coupl(nGC_44)*dZWpMinus/2d0 + coupl(nGC_4551)
      coupl(nGC_6471) = -coupl(nGC_4464) - coupl(nGC_6470)
      coupl(nGC_6579) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(    &
                        nGC_4491)
      coupl(nGC_6473) = -coupl(nGC_4465)
      coupl(nGC_6472) = coupl(nGC_4464) + coupl(nGC_6470)
      coupl(nGC_7151) = coupl(nGC_4649) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    end subroutine fill_CTcouplings_mdl13
end module fill_ctcouplings13
