!******************************************************************************!
!                                                                              !
!    fill_ctcouplings14.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings14.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings14
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl14()
      coupl(nGC_6531) = -coupl(nGC_4438) - coupl(nGC_6530)
      coupl(nGC_6532) = coupl(nGC_4438) + coupl(nGC_6530)
      coupl(nGC_7880) = coupl(nGC_7876) + coupl(nGC_7879)
      coupl(nGC_6747) = coupl(nGC_6545) + coupl(nGC_6746)
      coupl(nGC_7190) = coupl(nGC_4470) + coupl(nGC_7188)
      coupl(nGC_6476) = coupl(nGC_4503) + coupl(nGC_76)*dZH/2d0 + coupl(nGC_76 &
                        )*dZZ/2d0
      coupl(nGC_8252) = coupl(nGC_8248) + coupl(nGC_8251)
      coupl(nGC_7761) = coupl(nGC_26)*dZZ/2d0 + coupl(nGC_4364)
      coupl(nGC_7110) = coupl(nGC_26)*dZWMinus/2d0 + coupl(nGC_4364)
      coupl(nGC_7277) = -coupl(nGC_6476)
      coupl(nGC_7115) = coupl(nGC_6377) + coupl(nGC_7113)
      coupl(nGC_8056) = coupl(nGC_4644) + coupl(nGC_8054)
      coupl(nGC_8396) = coupl(nGC_6545) + coupl(nGC_8392)
      coupl(nGC_8397) = coupl(nGC_6545) + coupl(nGC_8393)
      coupl(nGC_7255) = coupl(nGC_4506) + coupl(nGC_79)*dZZ/2d0 + coupl(nGC_79 &
                        )*dZeMinusL
      coupl(nGC_8246) = coupl(nGC_4629) + coupl(nGC_80)*dZZ/2d0 + coupl(nGC_80 &
                        )*dZnu_muL
      coupl(nGC_6430) = coupl(nGC_4617) + coupl(nGC_74)*dZZ/2d0
      coupl(nGC_6596) = -2d0*coupl(nGC_6595)
      coupl(nGC_6614) = coupl(nGC_6545) + coupl(nGC_6612)
      coupl(nGC_7111) = -coupl(nGC_7110)
      coupl(nGC_6927) = -coupl(nGC_6926)/2d0
      coupl(nGC_7762) = -coupl(nGC_7761)
    end subroutine fill_CTcouplings_mdl14
end module fill_ctcouplings14
