!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_4249) = coupl(nGC_11)**2d0*coupl(nGC_123)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4235) = coupl(nGC_11)**2d0*coupl(nGC_114)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4240) = coupl(nGC_11)**2d0*coupl(nGC_397)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6541) = coupl(nGC_11)*dZbL_QCD2
      coupl(nGC_6540) = coupl(nGC_4595) + coupl(nGC_55)*dZWpMinus/2d0 + coupl( &
                        nGC_55)*dZeMinusR/2d0 + coupl(nGC_55)*dZnu_tauR/2d0
      coupl(nGC_7134) = -2d0*coupl(nGC_7133)
      coupl(nGC_4489) = coupl(nGC_4488)*dsw_
      coupl(nGC_6623) = coupl(nGC_77)*dZdL_QCD2
      coupl(nGC_4483) = coupl(nGC_4482)*dsw_
      coupl(nGC_4487) = coupl(nGC_4486)*dsw_
      coupl(nGC_4485) = coupl(nGC_4484)*dsw_
      coupl(nGC_4263) = coupl(nGC_11)**2d0*coupl(nGC_43)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4260) = coupl(nGC_11)**2d0*coupl(nGC_42)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4266) = coupl(nGC_11)**2d0*coupl(nGC_46)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4267) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4264) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4265) = coupl(nGC_11)**2d0*coupl(nGC_44)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4268) = coupl(nGC_11)**2d0*coupl(nGC_40)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4269) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4508) = coupl(nGC_4507)*dcw_
      coupl(nGC_4461) = coupl(nGC_4460)*dyc_QED1_QCD2
      coupl(nGC_4462) = coupl(nGC_4460)*dyc_QED1
      coupl(nGC_6602) = coupl(nGC_1)*dZA/2d0
      coupl(nGC_6603) = coupl(nGC_1)*dZdL_QCD2
      coupl(nGC_4468) = coupl(nGC_4466)*dyc_QED1
      coupl(nGC_6604) = coupl(nGC_1)*dZdR_QCD2
      coupl(nGC_4559) = coupl(nGC_4558)*dsw_
      coupl(nGC_7171) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_4478) = coupl(nGC_4477)*dsw_
      coupl(nGC_6920) = coupl(nGC_4599) + coupl(nGC_56)*dZWpMinus/2d0 + coupl( &
                        nGC_56)*dZmuMinusR/2d0 + coupl(nGC_56)*dZnu_tauR/2d0
      coupl(nGC_4456) = coupl(nGC_4454)*dyup_QED1
      coupl(nGC_4217) = coupl(nGC_11)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4216) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0&
                        )/(32d0*pi**2d0*Nc)
      coupl(nGC_4212) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4210) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4219) = coupl(nGC_11)**2d0*coupl(nGC_92)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4218) = coupl(nGC_11)**2d0*coupl(nGC_98)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4187) = cima*coupl(nGC_11)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0  &
                         + cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi &
                        **2d0)
      coupl(nGC_4185) = cima*sq2**2d0*(Nc*coupl(nGC_10)**2d0 - 4d0*coupl(nGC_11&
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_4189) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_4188) = cima*sq2**2d0*(-Nc*coupl(nGC_10)**2d0 + 4d0*coupl(     &
                        nGC_11)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7004) = coupl(nGC_11)*dZuL_QCD2
      coupl(nGC_7003) = coupl(nGC_11)*dZuR_QCD2
      coupl(nGC_6372) = coupl(nGC_3)*dZWMinus/2d0
      coupl(nGC_8239) = coupl(nGC_1)*dZbL_QCD2
      coupl(nGC_6788) = coupl(nGC_41)*(dZsL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_4541) = coupl(nGC_4540)*dsw_
      coupl(nGC_6780) = coupl(nGC_4386) + coupl(nGC_99)*dZdR_QCD2/2d0 + coupl( &
                        nGC_99)*dZuL_QCD2/2d0
      coupl(nGC_4321) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 48d0*coupl&
                        (nGC_11)**3d0)/(768d0*pi**2d0)
      coupl(nGC_4320) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 48d0*coupl(&
                        nGC_11)**3d0)/(768d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
