!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl4()
      coupl(nGC_4327) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10&
                        ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_4324) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10 &
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
      coupl(nGC_6423) = coupl(nGC_6)*dZA
      coupl(nGC_6425) = coupl(nGC_74)*dZuR_QCD2
      coupl(nGC_6428) = coupl(nGC_78)*dZuL_QCD2
      coupl(nGC_6587) = coupl(nGC_94)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_6393) = coupl(nGC_100)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_4601) = coupl(nGC_4600)*dsw_
      coupl(nGC_4603) = coupl(nGC_4602)*dsw_
      coupl(nGC_4608) = coupl(nGC_4607)*dsw_
      coupl(nGC_4241) = coupl(nGC_11)**2d0*coupl(nGC_124)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7173) = coupl(nGC_2)*dZA/2d0
      coupl(nGC_6732) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_4483)
      coupl(nGC_4428) = -cima*dyb_QED1_QCD2
      coupl(nGC_4429) = -cima*dyb_QED1
      coupl(nGC_6637) = coupl(nGC_62)*(dZcR_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_4421) = coupl(nGC_4420)*dys_QED1_QCD2
      coupl(nGC_4422) = coupl(nGC_4420)*dys_QED1
      coupl(nGC_4424) = coupl(nGC_4423)*dys_QED1_QCD2
      coupl(nGC_4425) = coupl(nGC_4423)*dys_QED1
      coupl(nGC_4426) = cima*dyt_QED1_QCD2
      coupl(nGC_4427) = cima*dyt_QED1
      coupl(nGC_6518) = coupl(nGC_71)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_6544) = coupl(nGC_11)*dZbR_QCD2
      coupl(nGC_4243) = coupl(nGC_11)**2d0*coupl(nGC_95)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7232) = coupl(nGC_4573) + coupl(nGC_50)*dZWpMinus/2d0 + coupl( &
                        nGC_50)*dZmuMinusR/2d0 + coupl(nGC_50)*dZnu_eR/2d0
      coupl(nGC_7233) = coupl(nGC_32)*dZWpMinus/2d0 + coupl(nGC_32)*dZmuMinusL/&
                        2d0 + coupl(nGC_32)*dZnu_eL/2d0 + coupl(nGC_4575)
      coupl(nGC_8392) = coupl(nGC_11)*dZcR_QCD2
      coupl(nGC_8393) = coupl(nGC_11)*dZcL_QCD2
      coupl(nGC_4368) = coupl(nGC_4365)*dcw_ + coupl(nGC_4366)*dMW2 + coupl(   &
                        nGC_4367)*dsw_
      coupl(nGC_4557) = coupl(nGC_4556)*dsw_
      coupl(nGC_4244) = coupl(nGC_101)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4553) = coupl(nGC_4552)*dsw_
      coupl(nGC_4253) = coupl(nGC_11)**2d0*coupl(nGC_71)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4250) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4256) = coupl(nGC_11)**2d0*coupl(nGC_45)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4254) = coupl(nGC_11)**2d0*coupl(nGC_24)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4245) = coupl(nGC_103)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6671) = coupl(nGC_43)*(dZcL_QCD2 + dZdL_QCD2)/2d0
      coupl(nGC_7128) = coupl(nGC_23)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_6979) = coupl(nGC_58)*(dZdR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_6976) = coupl(nGC_40)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_7172) = coupl(nGC_2)*dZcR_QCD2
      coupl(nGC_4227) = coupl(nGC_11)**2d0*coupl(nGC_93)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6745) = coupl(nGC_11)*dZsL_QCD2
      coupl(nGC_6707) = coupl(nGC_103)*dZH/2d0 + coupl(nGC_4408)
      coupl(nGC_4201) = cima*(-cMC*coupl(nGC_44)*coupl(nGC_62) - cMS*coupl(    &
                        nGC_1)**2d0 - cMS*coupl(nGC_73)*coupl(nGC_77) - cMT*   &
                        coupl(nGC_47)*coupl(nGC_65) - cMU*coupl(nGC_41)*coupl( &
                        nGC_59))/(8d0*pi**2d0)
      coupl(nGC_6433) = coupl(nGC_MI)*dZmuMinusL
      coupl(nGC_8053) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_9113) = -coupl(nGC_4456)
    end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
