!******************************************************************************!
!                                                                              !
!    fill_ctcouplings9.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings9.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings9
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl9()
      coupl(nGC_7802) = coupl(nGC_MI)*dZnu_tauL
      coupl(nGC_7213) = coupl(nGC_MI)*dZeMinusR
      coupl(nGC_7211) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_7214) = coupl(nGC_4636) + coupl(nGC_7211)
      coupl(nGC_6479) = coupl(nGC_4515) + coupl(nGC_7)*dZWMinus/2d0 + coupl(   &
                        nGC_7)*dZZ/2d0
      coupl(nGC_6571) = coupl(nGC_95)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_6576) = coupl(nGC_4468) + coupl(nGC_95)*dZH/2d0
      coupl(nGC_8769) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4383)
      coupl(nGC_4494) = coupl(nGC_4492)*dvev_QEDM1 + coupl(nGC_4493)*dsw_
      coupl(nGC_4497) = coupl(nGC_4496)*dsw_
      coupl(nGC_4491) = coupl(nGC_4490)*dsw_
      coupl(nGC_4276) = coupl(nGC_11)**2d0*coupl(nGC_78)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4271) = coupl(nGC_11)**2d0*coupl(nGC_65)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4279) = -coupl(nGC_11)*sq2*(-coupl(nGC_58)*coupl(nGC_60) -     &
                        coupl(nGC_61)*coupl(nGC_63) - coupl(nGC_64)*coupl(     &
                        nGC_66))/(16d0*pi**2d0)
      coupl(nGC_4278) = -coupl(nGC_11)*sq2*(-coupl(nGC_40)*coupl(nGC_42) -     &
                        coupl(nGC_43)*coupl(nGC_45) - coupl(nGC_46)*coupl(     &
                        nGC_48))/(16d0*pi**2d0)
      coupl(nGC_4476) = coupl(nGC_4475)*dsw_
      coupl(nGC_4474) = coupl(nGC_4472)*dyt_QED1
      coupl(nGC_4473) = coupl(nGC_4472)*dyt_QED1_QCD2
      coupl(nGC_4579) = coupl(nGC_4578)*dsw_
      coupl(nGC_7062) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(    &
                        nGC_4531)
      coupl(nGC_8107) = coupl(nGC_4638) + coupl(nGC_8105)
      coupl(nGC_8106) = coupl(nGC_MI)*dZtauMinusR
      coupl(nGC_8104) = coupl(nGC_MI)*dZtauMinusL
      coupl(nGC_6530) = coupl(nGC_106)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_6769) = coupl(nGC_45)*(dZbL_QCD2 + dZcL_QCD2)/2d0
      coupl(nGC_6687) = coupl(nGC_11)*dZdL_QCD2
      coupl(nGC_6685) = coupl(nGC_4647) + coupl(nGC_MWp)*dZWpMinus
      coupl(nGC_6761) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_4371)
      coupl(nGC_6762) = -coupl(nGC_6761)
      coupl(nGC_6766) = coupl(nGC_63)*(dZbR_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_6482) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/  &
                        2d0 + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_4614)
      coupl(nGC_6489) = coupl(nGC_117)*dZbL_QCD2/2d0 + coupl(nGC_117)*dZtR_QCD2&
                        /2d0 + coupl(nGC_4426)
      coupl(nGC_6539) = coupl(nGC_37)*dZWpMinus/2d0 + coupl(nGC_37)*dZeMinusL/ &
                        2d0 + coupl(nGC_37)*dZnu_tauL/2d0 + coupl(nGC_4593)
      coupl(nGC_6434) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_6437) = coupl(nGC_4637) + coupl(nGC_6434)
      coupl(nGC_6436) = coupl(nGC_MI)*dZmuMinusR
      coupl(nGC_6431) = coupl(nGC_4620) + coupl(nGC_78)*dZZ/2d0
      coupl(nGC_6828) = coupl(nGC_4528) + coupl(nGC_91)*dZH/2d0 + coupl(nGC_91 &
                        )*dZZ
      coupl(nGC_6389) = coupl(nGC_4559) + coupl(nGC_46)*dZWpMinus/2d0
      coupl(nGC_6388) = coupl(nGC_4557) + coupl(nGC_64)*dZWpMinus/2d0
      coupl(nGC_6381) = coupl(nGC_6377) + coupl(nGC_6379)
      coupl(nGC_6380) = coupl(nGC_6377) + coupl(nGC_6378)
      coupl(nGC_4612) = coupl(nGC_4611)*dsw_
      coupl(nGC_4610) = coupl(nGC_4609)*dsw_
      coupl(nGC_4617) = coupl(nGC_4615)*dcw_ + coupl(nGC_4616)*dsw_
      coupl(nGC_6803) = coupl(nGC_4629) + coupl(nGC_80)*dZZ/2d0 + coupl(nGC_80 &
                        )*dZnu_tauL
      coupl(nGC_4438) = coupl(nGC_4437)*dye_QED1
      coupl(nGC_4432) = coupl(nGC_4430)*dyb_QED1
      coupl(nGC_4431) = coupl(nGC_4430)*dyb_QED1_QCD2
      coupl(nGC_4434) = coupl(nGC_4433)*dyb_QED1_QCD2
    end subroutine fill_CTcouplings_mdl9
end module fill_ctcouplings9
