!******************************************************************************!
!                                                                              !
!    vertices_info5.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info5.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info5
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl5()
      allocate(vertices(493)%branchR2(0:0))
      call avR2(493, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4221, nGC_4222])

      allocate(vertices(1374)%branchR2(0:1))
      call avR2(1374, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_4203, nGC_4200,       &
      nGC_4201, nGC_4201])

      call avR2(1374, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_4191, nGC_4191,       &
      nGC_4202, nGC_4202])

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_4254])

      allocate(vertices(365)%branchR2(0:0))
      call avR2(365, 0, 10, 1, 0, FFaS2, 0, [2, 1], [nGC_4226, nGC_4227])

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_4259, nGC_4258])

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_4236, nGC_4237])

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4254])

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_4257, nGC_4256])

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_4253])

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_4273, nGC_4272])

      allocate(vertices(1445)%branchR2(0:1))
      call avR2(1445, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_4279, nGC_4278])

      call avR2(1445, 1, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_4281, nGC_4280])

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_4277, nGC_4276])

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 18, 1, 0, FaSF2, 0, [2, 1], [nGC_4235, nGC_4234])

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_4219, nGC_4220])

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_4216, nGC_4216])

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_4267, nGC_4266])

      allocate(vertices(1446)%branchR2(0:1))
      call avR2(1446, 0, 45, 1, 0, VVS0, 0, [2, 1], [nGC_4251])

      call avR2(1446, 1, 46, 1, 0, VVS0, 0, [2, 1], [nGC_4252])

      allocate(vertices(672)%branchR2(0:3))
      call avR2(672, 0, 22, 1, 0, FaVF0, 0, [1, 2], [nGC_4287, nGC_4285])

      call avR2(672, 1, 22, 1, 0, FaVF0, 0, [3, 0], [nGC_4286, nGC_4286])

      call avR2(672, 2, 23, 1, 0, FaVF0, 0, [1, 2], [nGC_4284, nGC_4282])

      call avR2(672, 3, 23, 1, 0, FaVF0, 0, [3, 0], [nGC_4283, nGC_4283])

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_4217, nGC_4217])

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_4255])

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_4243, nGC_4243])

      allocate(vertices(110)%branchR2(0:0))
      call avR2(110, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_4218])

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 10, 1, 0, FFaS2, 0, [2, 1], [nGC_4228, nGC_4229])

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_4262, nGC_4263])

      allocate(vertices(1447)%branchR2(0:1))
      call avR2(1447, 0, 30, 1, 0, VFFa0, 0, [1, 2], [nGC_4290, nGC_4291])

      call avR2(1447, 1, 31, 1, 0, VFFa0, 0, [1, 2], [nGC_4288, nGC_4289])

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4223, nGC_4224])

      allocate(vertices(1448)%branchR2(0:1))
      call avR2(1448, 0, 29, 1, 0, VFaF0, 0, [1, 2], [nGC_4300, nGC_4301])

      call avR2(1448, 1, 28, 1, 0, VFaF0, 0, [1, 2], [nGC_4302, nGC_4303])

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_4254])

      allocate(vertices(977)%branchR2(0:3))
      call avR2(977, 0, 22, 1, 0, FaVF0, 0, [1, 2], [nGC_4311, nGC_4310])

      call avR2(977, 1, 22, 1, 0, FaVF0, 0, [3, 0], [nGC_4286, nGC_4286])

      call avR2(977, 2, 23, 1, 0, FaVF0, 0, [1, 2], [nGC_4309, nGC_4308])

      call avR2(977, 3, 23, 1, 0, FaVF0, 0, [3, 0], [nGC_4283, nGC_4283])

      allocate(vertices(1364)%branchR2(0:1))
      call avR2(1364, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_4199, nGC_4196,       &
      nGC_4197, nGC_4197])

      call avR2(1364, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_4191, nGC_4191,       &
      nGC_4198, nGC_4198])

      allocate(vertices(1449)%branchR2(0:1))
      call avR2(1449, 0, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_4300, nGC_4301])

      call avR2(1449, 1, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_4302, nGC_4303])

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_4269, nGC_4268])

      allocate(vertices(1344)%branchR2(0:1))
      call avR2(1344, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_4199, nGC_4196,       &
      nGC_4197, nGC_4197])

      call avR2(1344, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_4191, nGC_4191,       &
      nGC_4198, nGC_4198])

    end subroutine fill_vertices_mdl5
end module vertices_info5
