!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_4639) = -cima*dMU_QCD2
      coupl(nGC_4638) = -cima*dMTA
      coupl(nGC_4634) = -cima*dMH2
      coupl(nGC_4637) = -cima*dMM
      coupl(nGC_4636) = -cima*dME
      coupl(nGC_4632) = coupl(nGC_4630)*dcw_ + coupl(nGC_4631)*dsw_
      coupl(nGC_4416) = coupl(nGC_4414)*dydo_QED1
      coupl(nGC_4410) = -cima*dys_QED1
      coupl(nGC_4413) = coupl(nGC_4411)*dyc_QED1
      coupl(nGC_4412) = coupl(nGC_4411)*dyc_QED1_QCD2
      coupl(nGC_4419) = coupl(nGC_4417)*dys_QED1
      coupl(nGC_4418) = coupl(nGC_4417)*dys_QED1_QCD2
      coupl(nGC_4387) = -cima*dydo_QED1
      coupl(nGC_4386) = -cima*dydo_QED1_QCD2
      coupl(nGC_9108) = coupl(nGC_124)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4344) = -cima*dlam_QED2
      coupl(nGC_4528) = coupl(nGC_4525)*dvev_QEDM1 + coupl(nGC_4526)*dcw_ +    &
                        coupl(nGC_4527)*dsw_
      coupl(nGC_4446) = -cima*dytau_QED1
      coupl(nGC_4445) = coupl(nGC_4444)*dym_QED1
      coupl(nGC_4443) = coupl(nGC_4442)*dym_QED1
      coupl(nGC_4441) = -cima*dym_QED1
      coupl(nGC_4591) = coupl(nGC_4590)*dsw_
      coupl(nGC_4593) = coupl(nGC_4592)*dsw_
      coupl(nGC_4595) = coupl(nGC_4594)*dsw_
      coupl(nGC_4597) = coupl(nGC_4596)*dsw_
      coupl(nGC_6654) = coupl(nGC_74)*dZtR_QCD2
      coupl(nGC_7324) = coupl(nGC_2)*dZtR_QCD2
      coupl(nGC_7325) = coupl(nGC_2)*dZtL_QCD2
      coupl(nGC_8240) = coupl(nGC_1)*dZbR_QCD2
      coupl(nGC_4401) = coupl(nGC_4400)*dys_QED1_QCD2
      coupl(nGC_4407) = coupl(nGC_4406)*dydo_QED1_QCD2
      coupl(nGC_4404) = coupl(nGC_4403)*dys_QED1_QCD2
      coupl(nGC_4405) = coupl(nGC_4403)*dys_QED1
      coupl(nGC_4408) = coupl(nGC_4406)*dydo_QED1
      coupl(nGC_4409) = -cima*dys_QED1_QCD2
      coupl(nGC_4390) = coupl(nGC_4388)*dyup_QED1
      coupl(nGC_4395) = coupl(nGC_4394)*dydo_QED1_QCD2
      coupl(nGC_4398) = coupl(nGC_4397)*dydo_QED1_QCD2
      coupl(nGC_7216) = coupl(nGC_2)*dZuR_QCD2
      coupl(nGC_7217) = coupl(nGC_2)*dZuL_QCD2
      coupl(nGC_4274) = coupl(nGC_11)**2d0*coupl(nGC_77)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4277) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4270) = coupl(nGC_11)**2d0*coupl(nGC_47)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4273) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4272) = coupl(nGC_11)**2d0*coupl(nGC_41)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4470) = coupl(nGC_4469)*dyt_QED1_QCD2
      coupl(nGC_4575) = coupl(nGC_4574)*dsw_
      coupl(nGC_6611) = coupl(nGC_11)*dZtR_QCD2
      coupl(nGC_4573) = coupl(nGC_4572)*dsw_
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
