!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl2()
      coupl(nGC_4571) = coupl(nGC_4570)*dsw_
      coupl(nGC_7269) = coupl(nGC_4)*dZtauMinusL
      coupl(nGC_6688) = coupl(nGC_11)*dZdR_QCD2
      coupl(nGC_8105) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_7401) = coupl(nGC_102)*dZdR_QCD2/2d0 + coupl(nGC_102)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4398)
      coupl(nGC_7400) = coupl(nGC_114)*dZdL_QCD2/2d0 + coupl(nGC_114)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4401)
      coupl(nGC_6951) = coupl(nGC_120)*dZnu_tauL/2d0 + coupl(nGC_120)*         &
                        dZtauMinusR/2d0 + coupl(nGC_4446)
      coupl(nGC_4355) = coupl(nGC_4354)*dMW2
      coupl(nGC_4350) = coupl(nGC_4348)*dvev_QEDM1 + coupl(nGC_4349)*dlam_QED2
      coupl(nGC_4358) = coupl(nGC_4356)*dMW2 + coupl(nGC_4357)*dsw_
      coupl(nGC_4599) = coupl(nGC_4598)*dsw_
      coupl(nGC_6612) = coupl(nGC_11)*dZtL_QCD2
      coupl(nGC_6383) = coupl(nGC_64)*(dZdR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_4614) = coupl(nGC_4613)*dsw_
      coupl(nGC_7677) = coupl(nGC_36)*dZWpMinus/2d0 + coupl(nGC_36)*dZnu_muL/  &
                        2d0 + coupl(nGC_36)*dZtauMinusL/2d0 + coupl(nGC_4591)
      coupl(nGC_7696) = coupl(nGC_93)*(dZbL_QCD2 + dZbR_QCD2)/2d0
      coupl(nGC_4533) = coupl(nGC_4532)*dsw_
      coupl(nGC_4531) = coupl(nGC_4529)*dcw_ + coupl(nGC_4530)*dsw_
      coupl(nGC_4537) = coupl(nGC_4536)*dsw_
      coupl(nGC_4535) = coupl(nGC_4534)*dsw_
      coupl(nGC_4539) = coupl(nGC_4538)*dsw_
      coupl(nGC_4436) = -cima*dye_QED1
      coupl(nGC_4435) = coupl(nGC_4433)*dyb_QED1
      coupl(nGC_7384) = coupl(nGC_123)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4275) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4226) = coupl(nGC_11)**2d0*coupl(nGC_637)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4224) = coupl(nGC_11)**2d0*coupl(nGC_125)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4225) = coupl(nGC_11)**2d0*coupl(nGC_126)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4223) = coupl(nGC_11)**2d0*coupl(nGC_99)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7745) = coupl(nGC_24)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_179) = cima/(2d0*cMW)
      coupl(nGC_4471) = coupl(nGC_4469)*dyt_QED1
      coupl(nGC_7133) = coupl(nGC_5)*(dZA + dZWMinus)
      coupl(nGC_9097) = coupl(nGC_I)*dZH
      coupl(nGC_7130) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_4614)
      coupl(nGC_4234) = coupl(nGC_102)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6705) = coupl(nGC_103)*dZdR_QCD2/2d0 + coupl(nGC_103)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4407)
      coupl(nGC_6961) = coupl(nGC_74)*dZcR_QCD2
      coupl(nGC_4644) = -cima*dMB_QCD2
      coupl(nGC_4645) = cima*dMZ2
      coupl(nGC_4646) = cima*dMW2
      coupl(nGC_4648) = coupl(nGC_179)*dMW2
      coupl(nGC_4640) = -cima*dMC_QCD2
      coupl(nGC_4647) = cima*dMWp2
      coupl(nGC_4641) = -cima*dMT_QCD2
      coupl(nGC_4232) = coupl(nGC_104)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4642) = -cima*dMD_QCD2
      coupl(nGC_4643) = -cima*dMS_QCD2
      coupl(nGC_6620) = coupl(nGC_73)*dZdR_QCD2
      coupl(nGC_7596) = coupl(nGC_3)*dZA/2d0
    end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
