!******************************************************************************!
!                                                                              !
!    fill_ctcouplings5.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings5.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl5()
      coupl(nGC_6940) = coupl(nGC_MI)*dZcR_QCD2
      coupl(nGC_4301) = coupl(nGC_11)*sq2*(-coupl(nGC_24)*coupl(nGC_71) - coupl&
                        (nGC_24)*coupl(nGC_72) - coupl(nGC_40)*coupl(nGC_43) - &
                        coupl(nGC_41)*coupl(nGC_44) - coupl(nGC_42)*coupl(     &
                        nGC_45))/(16d0*pi**2d0*Nc)
      coupl(nGC_4510) = coupl(nGC_4509)*dcw_
      coupl(nGC_6807) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +   &
                        coupl(nGC_4485)
      coupl(nGC_4302) = coupl(nGC_11)*sq2*(coupl(nGC_125)*coupl(nGC_98) + coupl&
                        (nGC_126)*coupl(nGC_97) + 4d0*coupl(nGC_58)*coupl(     &
                        nGC_61) + 4d0*coupl(nGC_59)*coupl(nGC_62) + 4d0*coupl( &
                        nGC_60)*coupl(nGC_63))/(64d0*pi**2d0)
      coupl(nGC_6808) = -coupl(nGC_6807)
      coupl(nGC_4371) = coupl(nGC_4369)*dcw_ + coupl(nGC_4370)*dsw_
      coupl(nGC_4555) = coupl(nGC_4554)*dsw_
      coupl(nGC_7606) = coupl(nGC_101)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_6417) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/ &
                        2d0 + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_4614)
      coupl(nGC_6631) = coupl(nGC_4632) + coupl(nGC_75)*dZZ/2d0 + coupl(nGC_75 &
                        )*dZtauMinusR
      coupl(nGC_4258) = coupl(nGC_11)**2d0*coupl(nGC_48)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_6386) = coupl(nGC_46)*(dZdL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_4259) = coupl(nGC_11)**2d0*coupl(nGC_66)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_4299) = coupl(nGC_11)*sq2*(coupl(nGC_43)*coupl(nGC_46) + coupl(&
                        nGC_44)*coupl(nGC_47) + coupl(nGC_45)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_4298) = coupl(nGC_11)*sq2*(coupl(nGC_61)*coupl(nGC_64) + coupl(&
                        nGC_62)*coupl(nGC_65) + coupl(nGC_63)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4297) = coupl(nGC_11)*sq2*(-coupl(nGC_43)*coupl(nGC_46) - coupl&
                        (nGC_44)*coupl(nGC_47) - coupl(nGC_45)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4296) = coupl(nGC_11)*sq2*(-coupl(nGC_61)*coupl(nGC_64) - coupl&
                        (nGC_62)*coupl(nGC_65) - coupl(nGC_63)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4295) = coupl(nGC_11)*sq2*(coupl(nGC_58)*coupl(nGC_60) + coupl(&
                        nGC_61)*coupl(nGC_63) + coupl(nGC_64)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4294) = coupl(nGC_11)*sq2*(coupl(nGC_40)*coupl(nGC_42) + coupl(&
                        nGC_43)*coupl(nGC_45) + coupl(nGC_46)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_4293) = coupl(nGC_11)*sq2*(-coupl(nGC_58)*coupl(nGC_60) - coupl&
                        (nGC_61)*coupl(nGC_63) - coupl(nGC_64)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4292) = coupl(nGC_11)*sq2*(-coupl(nGC_40)*coupl(nGC_42) - coupl&
                        (nGC_43)*coupl(nGC_45) - coupl(nGC_46)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4291) = coupl(nGC_11)*sq2*(coupl(nGC_41)*coupl(nGC_42) + coupl(&
                        nGC_44)*coupl(nGC_45) + coupl(nGC_47)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_4290) = coupl(nGC_11)*sq2*(coupl(nGC_59)*coupl(nGC_60) + coupl(&
                        nGC_62)*coupl(nGC_63) + coupl(nGC_65)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4450) = coupl(nGC_4449)*dytau_QED1
      coupl(nGC_4453) = coupl(nGC_4451)*dyup_QED1
      coupl(nGC_4452) = coupl(nGC_4451)*dyup_QED1_QCD2
      coupl(nGC_4455) = coupl(nGC_4454)*dyup_QED1_QCD2
      coupl(nGC_4186) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_4459) = coupl(nGC_4457)*dyup_QED1
      coupl(nGC_4513) = coupl(nGC_4511)*dvev_QEDM1 + coupl(nGC_4512)*dcw_
      coupl(nGC_6527) = coupl(nGC_4508) + coupl(nGC_9)*dZWMinus/2d0 + coupl(   &
                        nGC_9)*dZZ/2d0
      coupl(nGC_6523) = coupl(nGC_4)*dZWMinus/2d0
      coupl(nGC_7256) = coupl(nGC_4632) + coupl(nGC_75)*dZZ/2d0 + coupl(nGC_75 &
                        )*dZeMinusR
      coupl(nGC_7088) = coupl(nGC_MI)*dZWMinus
      coupl(nGC_183) = -cima/(2d0*cMW)
      coupl(nGC_7082) = coupl(nGC_4412) + coupl(nGC_97)*dZcR_QCD2/2d0 + coupl( &
                        nGC_97)*dZsL_QCD2/2d0
      coupl(nGC_187) = 1d0/(2d0*cMZ)
      coupl(nGC_4587) = coupl(nGC_4586)*dsw_
      coupl(nGC_7244) = coupl(nGC_65)*(dZsR_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_7247) = coupl(nGC_47)*(dZsL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_7162) = coupl(nGC_24)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_7164) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_4608)
      coupl(nGC_4334) = coupl(nGC_11)*sq2*(-coupl(nGC_40)*coupl(nGC_46) - coupl&
                        (nGC_41)*coupl(nGC_47) - coupl(nGC_42)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_6938) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_6939) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_4204) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_40)**2d0 - coupl(nGC_43)**2d0 - coupl(nGC_46)**2d0 &
                         - coupl(nGC_71)**2d0 - coupl(nGC_77)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_4206) = cMD*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4207) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_58)**2d0 - coupl( &
                        nGC_61)**2d0 - coupl(nGC_64)**2d0 - coupl(nGC_73)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4200) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_41)**2d0 - coupl(nGC_44)**2d0 - coupl(nGC_47)**2d0 &
                         - coupl(nGC_72)**2d0 - coupl(nGC_77)**2d0)/(16d0*pi** &
                        2d0)
    end subroutine fill_CTcouplings_mdl5
end module fill_ctcouplings5
