!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl6()
      coupl(nGC_4202) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4203) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_59)**2d0 - coupl( &
                        nGC_62)**2d0 - coupl(nGC_65)**2d0 - coupl(nGC_73)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4208) = cima*(-cMB*coupl(nGC_1)**2d0 - cMB*coupl(nGC_73)*coupl(&
                        nGC_77) - cMC*coupl(nGC_45)*coupl(nGC_63) - cMT*coupl( &
                        nGC_48)*coupl(nGC_66) - cMU*coupl(nGC_42)*coupl(nGC_60 &
                        ))/(8d0*pi**2d0)
      coupl(nGC_4209) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_42)**2d0 - coupl(nGC_45)**2d0 - coupl(nGC_48)**2d0 &
                         - coupl(nGC_77)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4194) = cMT*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4195) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_64)**2d0 - coupl( &
                        nGC_65)**2d0 - coupl(nGC_66)**2d0 - coupl(nGC_74)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4196) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_24)**2d0 - coupl( &
                        nGC_43)**2d0 - coupl(nGC_44)**2d0 - coupl(nGC_45)**2d0 &
                         - coupl(nGC_71)**2d0 - coupl(nGC_78)**2d0)/(16d0*pi** &
                        2d0)
      coupl(nGC_4197) = cima*(-cMB*coupl(nGC_45)*coupl(nGC_63) - cMC*coupl(    &
                        nGC_2)**2d0 - cMC*coupl(nGC_74)*coupl(nGC_78) - cMD*   &
                        coupl(nGC_43)*coupl(nGC_61) - cMS*coupl(nGC_44)*coupl( &
                        nGC_62))/(8d0*pi**2d0)
      coupl(nGC_4190) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 &
                         - cMD**2d0 - cMS**2d0 - cMT**2d0 - cMU**2d0)/(16d0*pi &
                        **2d0*Nc)
      coupl(nGC_4191) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0&
                        *pi**2d0*Nc)
      coupl(nGC_4192) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl( &
                        nGC_46)**2d0 - coupl(nGC_47)**2d0 - coupl(nGC_48)**2d0 &
                         - coupl(nGC_78)**2d0)/(16d0*pi**2d0)
      coupl(nGC_4193) = cima*(-cMB*coupl(nGC_48)*coupl(nGC_66) - cMD*coupl(    &
                        nGC_46)*coupl(nGC_64) - cMS*coupl(nGC_47)*coupl(nGC_65 &
                        ) - cMT*coupl(nGC_2)**2d0 - cMT*coupl(nGC_74)*coupl(   &
                        nGC_78))/(8d0*pi**2d0)
      coupl(nGC_4515) = coupl(nGC_4514)*dcw_
      coupl(nGC_4198) = cMC*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(&
                        32d0*pi**2d0*Nc)
      coupl(nGC_4199) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_61)**2d0 - coupl( &
                        nGC_62)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_74)**2d0 &
                        )/(16d0*pi**2d0)
      coupl(nGC_4205) = cima*(-cMC*coupl(nGC_43)*coupl(nGC_61) - cMD*coupl(    &
                        nGC_1)**2d0 - cMD*coupl(nGC_73)*coupl(nGC_77) - cMT*   &
                        coupl(nGC_46)*coupl(nGC_64) - cMU*coupl(nGC_40)*coupl( &
                        nGC_58))/(8d0*pi**2d0)
      coupl(nGC_4458) = coupl(nGC_4457)*dyup_QED1_QCD2
      coupl(nGC_4467) = coupl(nGC_4466)*dyc_QED1_QCD2
      coupl(nGC_6470) = coupl(nGC_96)*(dZcL_QCD2 + dZcR_QCD2)/2d0
      coupl(nGC_6986) = coupl(nGC_121)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_6981) = coupl(nGC_40)*dZWpMinus/2d0 + coupl(nGC_4533)
      coupl(nGC_6982) = coupl(nGC_4535) + coupl(nGC_58)*dZWpMinus/2d0
      coupl(nGC_7425) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_4337) = coupl(nGC_11)*sq2*(-coupl(nGC_123)**2d0 - coupl(nGC_124&
                        )*coupl(nGC_397) - coupl(nGC_125)**2d0 - coupl(nGC_126 &
                        )**2d0 - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_58)**2d0&
                         - 4d0*coupl(nGC_59)**2d0 - 4d0*coupl(nGC_60)**2d0 -   &
                        4d0*coupl(nGC_74)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7426) = -coupl(nGC_7425)
      coupl(nGC_6601) = coupl(nGC_4513) + coupl(nGC_86)*dZWMinus/2d0 + coupl(  &
                        nGC_86)*dZZ/2d0
      coupl(nGC_6791) = coupl(nGC_59)*(dZsR_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_6793) = coupl(nGC_41)*dZWpMinus/2d0 + coupl(nGC_4539)
      coupl(nGC_6794) = coupl(nGC_4537) + coupl(nGC_59)*dZWpMinus/2d0
      coupl(nGC_4332) = coupl(nGC_11)*sq2*(coupl(nGC_40)*coupl(nGC_46) + coupl(&
                        nGC_41)*coupl(nGC_47) + coupl(nGC_42)*coupl(nGC_48))/( &
                        16d0*pi**2d0)
      coupl(nGC_6592) = coupl(nGC_4435) + coupl(nGC_94)*dZH/2d0
      coupl(nGC_7868) = coupl(nGC_73)*dZsR_QCD2
      coupl(nGC_4336) = coupl(nGC_11)*sq2*(-coupl(nGC_123)**2d0 - coupl(nGC_124&
                        )*coupl(nGC_397) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                        nGC_24)**2d0 - 4d0*coupl(nGC_40)**2d0 - 4d0*coupl(     &
                        nGC_41)**2d0 - 4d0*coupl(nGC_42)**2d0 - 4d0*coupl(     &
                        nGC_72)**2d0 - 4d0*coupl(nGC_78)**2d0 - coupl(nGC_99)**&
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_7865) = coupl(nGC_77)*dZsL_QCD2
      coupl(nGC_4339) = coupl(nGC_11)*sq2*(coupl(nGC_123)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_397) + coupl(nGC_125)**2d0 + coupl(nGC_126 &
                        )**2d0 + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_58)**2d0&
                         + 4d0*coupl(nGC_59)**2d0 + 4d0*coupl(nGC_60)**2d0 +   &
                        4d0*coupl(nGC_74)**2d0)/(64d0*pi**2d0)
      coupl(nGC_7861) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_7860) = coupl(nGC_1)*dZsR_QCD2
      coupl(nGC_6849) = coupl(nGC_73)*dZbR_QCD2
      coupl(nGC_6846) = coupl(nGC_77)*dZbL_QCD2
      coupl(nGC_8251) = coupl(nGC_110)*dZH/2d0 + coupl(nGC_4445)
      coupl(nGC_4415) = coupl(nGC_4414)*dydo_QED1_QCD2
      coupl(nGC_8955) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_8952) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_8953) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
      coupl(nGC_4385) = coupl(nGC_4384)*dZgs_QCD2
      coupl(nGC_4381) = coupl(nGC_4378)*dcw_ + coupl(nGC_4379)*dMZ2 + coupl(   &
                        nGC_4380)*dsw_
      coupl(nGC_4383) = coupl(nGC_4382)*dZgs_QCD2
      coupl(nGC_4389) = coupl(nGC_4388)*dyup_QED1_QCD2
      coupl(nGC_6446) = coupl(nGC_126)*dZsL_QCD2/2d0 + coupl(nGC_126)*dZuR_QCD2&
                        /2d0 + coupl(nGC_4452)
      coupl(nGC_6441) = coupl(nGC_4461) + coupl(nGC_98)*dZcR_QCD2/2d0 + coupl( &
                        nGC_98)*dZdL_QCD2/2d0
    end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
