!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl7()
      coupl(nGC_6449) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZWMinus/2d0 +   &
                        coupl(nGC_4487)
      coupl(nGC_6564) = coupl(nGC_4632) + coupl(nGC_75)*dZZ/2d0 + coupl(nGC_75 &
                        )*dZmuMinusR
      coupl(nGC_7271) = coupl(nGC_4)*dZtauMinusR
      coupl(nGC_4561) = coupl(nGC_4560)*dsw_
      coupl(nGC_4563) = coupl(nGC_4562)*dsw_
      coupl(nGC_4565) = coupl(nGC_4564)*dsw_
      coupl(nGC_4569) = coupl(nGC_4568)*dsw_
      coupl(nGC_4242) = coupl(nGC_11)**2d0*coupl(nGC_94)*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4246) = coupl(nGC_11)**2d0*coupl(nGC_115)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4247) = coupl(nGC_11)**2d0*coupl(nGC_113)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_7113) = coupl(nGC_4)*dZmuMinusR
      coupl(nGC_7114) = coupl(nGC_4)*dZmuMinusL
      coupl(nGC_7057) = coupl(nGC_109)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_6941) = coupl(nGC_4640) + coupl(nGC_6939)
      coupl(nGC_7804) = coupl(nGC_MI)*dZA
      coupl(nGC_6756) = coupl(nGC_122)*(dZtauMinusL + dZtauMinusR)/2d0
      coupl(nGC_6757) = coupl(nGC_122)*dZH/2d0 + coupl(nGC_4450)
      coupl(nGC_6490) = coupl(nGC_4428) + coupl(nGC_92)*dZbR_QCD2/2d0 + coupl( &
                        nGC_92)*dZtL_QCD2/2d0
      coupl(nGC_6497) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +   &
                        coupl(nGC_4489)
      coupl(nGC_6498) = -coupl(nGC_6497)
      coupl(nGC_7210) = coupl(nGC_MI)*dZeMinusL
      coupl(nGC_6882) = coupl(nGC_116)*dZdL_QCD2/2d0 + coupl(nGC_116)*dZsR_QCD2&
                        /2d0 + coupl(nGC_4418)
      coupl(nGC_6883) = coupl(nGC_104)*dZdR_QCD2/2d0 + coupl(nGC_104)*dZsL_QCD2&
                        /2d0 + coupl(nGC_4415)
      coupl(nGC_7191) = -coupl(nGC_4471)
      coupl(nGC_9100) = coupl(nGC_4634) + coupl(nGC_MH)*dZH
      coupl(nGC_6772) = coupl(nGC_45)*dZWpMinus/2d0 + coupl(nGC_4553)
      coupl(nGC_7837) = coupl(nGC_4648) + coupl(nGC_MW_GF)*dZWMinus/2d0
      coupl(nGC_4333) = coupl(nGC_11)*sq2*(coupl(nGC_58)*coupl(nGC_64) + coupl(&
                        nGC_59)*coupl(nGC_65) + coupl(nGC_60)*coupl(nGC_66))/( &
                        16d0*pi**2d0)
      coupl(nGC_4341) = coupl(nGC_4340)*dlam_QED2
      coupl(nGC_4343) = coupl(nGC_4342)*dlam_QED2
      coupl(nGC_4347) = coupl(nGC_4345)*dvev_QEDM1 + coupl(nGC_4346)*dlam_QED2
      coupl(nGC_4335) = coupl(nGC_11)*sq2*(-coupl(nGC_58)*coupl(nGC_64) - coupl&
                        (nGC_59)*coupl(nGC_65) - coupl(nGC_60)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_6408) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZH/2d0 + coupl( &
                        nGC_28)*dZWMinus/2d0 + coupl(nGC_4478)
      coupl(nGC_6373) = -coupl(nGC_6372)
      coupl(nGC_6377) = coupl(nGC_4)*dZA/2d0
      coupl(nGC_6378) = coupl(nGC_4)*dZeMinusR
      coupl(nGC_6379) = coupl(nGC_4)*dZeMinusL
      coupl(nGC_6405) = coupl(nGC_4347) + coupl(nGC_87)*dZH/2d0
      coupl(nGC_4338) = coupl(nGC_11)*sq2*(coupl(nGC_123)**2d0 + coupl(nGC_124 &
                        )*coupl(nGC_397) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(  &
                        nGC_24)**2d0 + 4d0*coupl(nGC_40)**2d0 + 4d0*coupl(     &
                        nGC_41)**2d0 + 4d0*coupl(nGC_42)**2d0 + 4d0*coupl(     &
                        nGC_72)**2d0 + 4d0*coupl(nGC_78)**2d0 + coupl(nGC_99)**&
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_4524) = coupl(nGC_4522)*dcw_ + coupl(nGC_4523)*dsw_
      coupl(nGC_4521) = coupl(nGC_4519)*dcw_ + coupl(nGC_4520)*dsw_
      coupl(nGC_4289) = coupl(nGC_11)*sq2*(-coupl(nGC_41)*coupl(nGC_42) - coupl&
                        (nGC_44)*coupl(nGC_45) - coupl(nGC_47)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4284) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl( &
                        nGC_60)**2d0 + 4d0*coupl(nGC_63)**2d0 + coupl(nGC_637)*&
                        coupl(nGC_93) + 4d0*coupl(nGC_66)**2d0 + 4d0*coupl(    &
                        nGC_73)**2d0 + coupl(nGC_92)**2d0 + coupl(nGC_94)**2d0 &
                        )/(64d0*pi**2d0*Nc)
      coupl(nGC_4285) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - coupl(    &
                        nGC_117)**2d0 - 4d0*coupl(nGC_23)**2d0 - 4d0*coupl(    &
                        nGC_42)**2d0 - 4d0*coupl(nGC_45)**2d0 - 4d0*coupl(     &
                        nGC_48)**2d0 - coupl(nGC_637)*coupl(nGC_93) - 4d0*coupl&
                        (nGC_77)**2d0 - coupl(nGC_94)**2d0)/(64d0*pi**2d0)
      coupl(nGC_4286) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10&
                        ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
      coupl(nGC_4287) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(&
                        nGC_60)**2d0 - 4d0*coupl(nGC_63)**2d0 - coupl(nGC_637)*&
                        coupl(nGC_93) - 4d0*coupl(nGC_66)**2d0 - 4d0*coupl(    &
                        nGC_73)**2d0 - coupl(nGC_92)**2d0 - coupl(nGC_94)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_4280) = -coupl(nGC_11)*sq2*(coupl(nGC_40)*coupl(nGC_42) + coupl&
                        (nGC_43)*coupl(nGC_45) + coupl(nGC_46)*coupl(nGC_48))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4281) = -coupl(nGC_11)*sq2*(coupl(nGC_58)*coupl(nGC_60) + coupl&
                        (nGC_61)*coupl(nGC_63) + coupl(nGC_64)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_4282) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_117)**2d0 + 4d0*coupl(nGC_23)**2d0 + 4d0*coupl(    &
                        nGC_42)**2d0 + 4d0*coupl(nGC_45)**2d0 + 4d0*coupl(     &
                        nGC_48)**2d0 + coupl(nGC_637)*coupl(nGC_93) + 4d0*coupl&
                        (nGC_77)**2d0 + coupl(nGC_94)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4283) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(     &
                        nGC_10) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
