!******************************************************************************!
!                                                                              !
!    fill_ctcouplings8.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings8.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 05/2018                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-10-04 15:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings8
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl8()
      coupl(nGC_4448) = coupl(nGC_4447)*dytau_QED1
      coupl(nGC_4440) = coupl(nGC_4439)*dye_QED1
      coupl(nGC_7095) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_4341)
      coupl(nGC_7091) = coupl(nGC_4646) + coupl(nGC_MW)*dZWMinus
      coupl(nGC_7092) = -coupl(nGC_7088)
      coupl(nGC_7250) = coupl(nGC_4561) + coupl(nGC_47)*dZWpMinus/2d0
      coupl(nGC_6909) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_6908) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
      coupl(nGC_6907) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_6710) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_6711) = coupl(nGC_MT)*(dZtL_QCD2 + dZtR_QCD2)/2d0
      coupl(nGC_4233) = coupl(nGC_11)**2d0*coupl(nGC_116)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6713) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_6714) = coupl(nGC_4641) + coupl(nGC_6711)
      coupl(nGC_4237) = coupl(nGC_11)**2d0*coupl(nGC_112)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4239) = coupl(nGC_11)**2d0*coupl(nGC_119)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_6651) = coupl(nGC_78)*dZtL_QCD2
      coupl(nGC_4228) = coupl(nGC_11)**2d0*coupl(nGC_513)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_4220) = coupl(nGC_11)**2d0*coupl(nGC_117)*sq2**2d0*(Nc**2d0 -  &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_10157) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_4385)
      coupl(nGC_7437) = -coupl(nGC_6732)
      coupl(nGC_6875) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/  &
                        2d0 + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_4614)
      coupl(nGC_7879) = coupl(nGC_107)*dZH/2d0 + coupl(nGC_4440)
      coupl(nGC_4309) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(     &
                        nGC_100)*coupl(nGC_567) + coupl(nGC_101)**2d0 + coupl( &
                        nGC_102)*coupl(nGC_104) + coupl(nGC_103)**2d0 + 4d0*   &
                        coupl(nGC_58)**2d0 + 4d0*coupl(nGC_61)**2d0 + 4d0*coupl&
                        (nGC_64)**2d0 + 4d0*coupl(nGC_73)**2d0 + coupl(nGC_99  &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_6870) = coupl(nGC_4571) + coupl(nGC_49)*dZWpMinus/2d0 + coupl( &
                        nGC_49)*dZeMinusR/2d0 + coupl(nGC_49)*dZnu_eR/2d0
      coupl(nGC_4305) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + coupl(     &
                        nGC_513)*coupl(nGC_96) + 4d0*coupl(nGC_61)**2d0 + 4d0* &
                        coupl(nGC_62)**2d0 + 4d0*coupl(nGC_63)**2d0 + 4d0*coupl&
                        (nGC_74)**2d0 + coupl(nGC_95)**2d0 + coupl(nGC_97)**2d0&
                         + coupl(nGC_98)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_4304) = -coupl(nGC_11)*sq2*(coupl(nGC_111)**2d0 + 4d0*coupl(   &
                        nGC_2)**2d0 + 4d0*coupl(nGC_24)**2d0 + 4d0*coupl(nGC_43&
                        )**2d0 + 4d0*coupl(nGC_44)**2d0 + 4d0*coupl(nGC_45)**  &
                        2d0 + coupl(nGC_513)*coupl(nGC_96) + 4d0*coupl(nGC_71  &
                        )**2d0 + 4d0*coupl(nGC_78)**2d0 + coupl(nGC_95)**2d0)/(&
                        64d0*pi**2d0*Nc)
      coupl(nGC_7979) = coupl(nGC_113)*(dZsL_QCD2 + dZsR_QCD2)/2d0
      coupl(nGC_4306) = -coupl(nGC_11)*sq2*(-coupl(nGC_111)**2d0 - 4d0*coupl(  &
                        nGC_2)**2d0 - 4d0*coupl(nGC_24)**2d0 - 4d0*coupl(nGC_43&
                        )**2d0 - 4d0*coupl(nGC_44)**2d0 - 4d0*coupl(nGC_45)**  &
                        2d0 - coupl(nGC_513)*coupl(nGC_96) - 4d0*coupl(nGC_71  &
                        )**2d0 - 4d0*coupl(nGC_78)**2d0 - coupl(nGC_95)**2d0)/(&
                        64d0*pi**2d0)
      coupl(nGC_7876) = coupl(nGC_107)*(dZeMinusL + dZeMinusR)/2d0
      coupl(nGC_4300) = coupl(nGC_11)*sq2*(-coupl(nGC_125)*coupl(nGC_98) -     &
                        coupl(nGC_126)*coupl(nGC_97) - 4d0*coupl(nGC_58)*coupl(&
                        nGC_61) - 4d0*coupl(nGC_59)*coupl(nGC_62) - 4d0*coupl( &
                        nGC_60)*coupl(nGC_63))/(64d0*pi**2d0*Nc)
      coupl(nGC_4303) = coupl(nGC_11)*sq2*(coupl(nGC_24)*coupl(nGC_71) + coupl(&
                        nGC_24)*coupl(nGC_72) + coupl(nGC_40)*coupl(nGC_43) +  &
                        coupl(nGC_41)*coupl(nGC_44) + coupl(nGC_42)*coupl(     &
                        nGC_45))/(16d0*pi**2d0)
      coupl(nGC_4650) = coupl(nGC_187)*dMZ2
      coupl(nGC_8363) = coupl(nGC_MI)*dZnu_eL
      coupl(nGC_8364) = coupl(nGC_MI)*dZnu_eR
      coupl(nGC_4288) = coupl(nGC_11)*sq2*(-coupl(nGC_59)*coupl(nGC_60) - coupl&
                        (nGC_62)*coupl(nGC_63) - coupl(nGC_65)*coupl(nGC_66))/(&
                        16d0*pi**2d0*Nc)
      coupl(nGC_6869) = coupl(nGC_31)*dZWpMinus/2d0 + coupl(nGC_31)*dZeMinusL/ &
                        2d0 + coupl(nGC_31)*dZnu_eL/2d0 + coupl(nGC_4569)
      coupl(nGC_7280) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_4383)
      coupl(nGC_8248) = coupl(nGC_110)*(dZmuMinusL + dZmuMinusR)/2d0
      coupl(nGC_4629) = coupl(nGC_4627)*dcw_ + coupl(nGC_4628)*dsw_
      coupl(nGC_4623) = coupl(nGC_4621)*dcw_ + coupl(nGC_4622)*dsw_
      coupl(nGC_4620) = coupl(nGC_4618)*dcw_ + coupl(nGC_4619)*dsw_
      coupl(nGC_4626) = coupl(nGC_4624)*dcw_ + coupl(nGC_4625)*dsw_
      coupl(nGC_4402) = coupl(nGC_4400)*dys_QED1
      coupl(nGC_4392) = coupl(nGC_4391)*dydo_QED1_QCD2
      coupl(nGC_4393) = coupl(nGC_4391)*dydo_QED1
      coupl(nGC_4396) = coupl(nGC_4394)*dydo_QED1
      coupl(nGC_7805) = -coupl(nGC_7804)
      coupl(nGC_4399) = coupl(nGC_4397)*dydo_QED1
      coupl(nGC_7803) = coupl(nGC_MI)*dZnu_tauR
    end subroutine fill_CTcouplings_mdl8
end module fill_ctcouplings8
